## org.ascape.util.data
Interface DataPoint

All Superinterfaces:
  HasName

All Known Implementing Classes:
  CollectionSpace.ClosestDataPoint, DataPointComparator, DataPointConcrete, DataSeries, DataSeriesStore, HistoryValueSetter, StatCollector, StatCollectorCalculated, StatCollectorCond, StatCollectorCondCSA, StatCollectorCondCSAMM, StatCollectorCondCSAMMVar, StatCollectorCSA, StatCollectorCSAMM, StatCollectorCSAMMVar, UnitIntervalDataPoint, ValueSetter

    public interface DataPoint

extends HasName

An interface for a class providing a data point for a given object. A data point is just some interpretation of an object's state as a double value.

Since:
  1.0
Version:
  1.0.1
Author:
  Miles Parker

Method Summary
`java.lang.String` `getName()` Returns a very short string description of the data point.
`double` `getValue(java.lang.Object object)` Returns the value of a given data point from a given object.

Method Detail

### getValue

    double getValue(java.lang.Object object)

  Returns the value of a given data point from a given object.

  Parameters:
    `object` - the object to extract the value from.

### getName

    java.lang.String getName()

  Returns a very short string description of the data point.

  Specified by:
    `getName` in interface `HasName`